package Car;

/*
 * Car.java
 * Written by 200301582 ST. Kim 
 * Discription : car class
 *               create all of car.
 */

public class Car {

	static Engine engine;
	static Body body;
	static Seat seat;
	static SpeedGauge speedGauge;
	static Tire tire;
	static Vendor vendor;
	
	
	
	public Car() {
		
		//System.out.println("Car Class!");
		
		engine = new Engine();
		body = new Body();
		seat = new Seat();
		speedGauge = new SpeedGauge();
		tire = new Tire();
		vendor = new Vendor();
	}
	
	boolean engineSet(int cylindernum) {
		return this.engine.setCylinder(cylindernum);
	}
	
	void engineGet() {
		System.out.println("engine set : " + engine.getCylinder());	
	}
	
	void bodySet(String name) {
		this.body.setBody(name);
	}
	
	void bodyGet() {
		System.out.println("body set : " + body.getBody());
	}
	
	boolean seatSet(int number) {
		return this.seat.setSeat(number);
	}
	
	void seatGet() {
		System.out.println("seat set : " + this.seat.getSeat());
	}
	
	boolean speedGaugeAccel(int accel) {
		if(this.speedGauge.accelSpeed(accel) == false) 
			return false;
		else {
			System.out.println("speedGauge : " + this.speedGauge.getSpeed());
			System.out.println("speedGaugeDistance : " + this.speedGauge.getDistance());
			return true;
		}
	}
	
	boolean speedGaugeBreak(int breaks) {
		if(this.speedGauge.breakSpeed(breaks) == false)
			return false;
		else {
			System.out.println("speedGauge : " + this.speedGauge.getSpeed());
			System.out.println("speedGaugeDistance : " + this.speedGauge.getDistance());
			return true;
		}
	}
	
	boolean tireSet(int tirenum) {
		return this.tire.setTire(tirenum);
	}
	
	void tireGet() {
		System.out.println("tire number : " + this.tire.getTire());
	}
	
	void vendorSet(String vendorname) {
		this.vendor.setVendor(vendorname);
	}	

	void venderGet() {
		System.out.println("vendor name : " + this.vendor.getVendor());
	}
}
